Subject: Re: Perl

From: Lee Revell <[email-masked]>
Date: Tue, 14 Nov 2006 12:42:58 -0500

On Tue, 2006-11-14 at 18:08 +0100, Wolfgang Grandegger wrote:
> Lee Revell wrote:
> > I've been trying to cross compile Perl for a PPC440 board and it just
> > isn't happening.  Perl is probably the least amenable application to
> > cross compiling I've found.
> > 
> > I tried the instructions in the Cross/ directory of the Perl distro but
> > they don't work - "sh Configure" fails on my target because it expects a
> > full C development environment, which won't fit.
> > 
> > Is there any easy solution?  Can someone send me a binary?
> 
> Configure and make perl natively on your target platform. I have done it 
> some time ago with the ELDK.

I don't think this is an option, the perl build has too many
dependencies.

Lee